<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:minWidth="1400dp"
        android:orientation="vertical"
        app:qmui_backgroundColor="@color/white"
        app:qmui_radius="@dimen/d_15">

        <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundFrameLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:qmui_backgroundColor="@color/colorPrimary"
            app:qmui_radiusTopLeft="@dimen/d_15"
            app:qmui_radiusTopRight="@dimen/d_15">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:padding="@dimen/d_28"
                android:text="请假单详情"
                android:textColor="@color/white"
                android:textSize="@dimen/sp20"
                android:textStyle="bold" />
        </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundFrameLayout>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/d_20"
            android:orientation="horizontal">

            <RelativeLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1">

                <ImageView
                    android:id="@+id/statusImg"
                    android:layout_width="200dp"
                    android:layout_height="200dp"
                    android:layout_alignParentEnd="true"
                    android:layout_marginEnd="40dp" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <LinearLayout style="@style/leave_dialog_row">

                        <TextView
                            style="@style/leave_dialog_title"
                            android:text="请假学生" />

                        <TextView
                            android:id="@+id/leave_student_name"
                            style="@style/leave_dialog_left_content"
                            android:text="颜小华" />
                    </LinearLayout>

                    <LinearLayout style="@style/leave_dialog_row">

                        <TextView
                            style="@style/leave_dialog_title"
                            android:text="学生人脸" />

                        <com.qmuiteam.qmui.widget.QMUIRadiusImageView
                            android:id="@+id/face_img"
                            android:layout_width="180dp"
                            android:layout_height="222dp"
                            android:text="颜小华"
                            app:qmui_corner_radius="@dimen/d_5"
                            app:qmui_border_color="@color/white"/>

                        <TextView
                            android:id="@+id/face_empty"
                            android:layout_width="180dp"
                            android:layout_height="222dp"
                            android:background="@color/gray_2"
                            android:gravity="center"
                            android:text="未设置"
                            android:textColor="@color/white"
                            app:qmui_corner_radius="@dimen/d_5" />
                    </LinearLayout>

                    <LinearLayout style="@style/leave_dialog_row">

                        <TextView
                            style="@style/leave_dialog_title"
                            android:text="班级" />

                        <TextView
                            android:id="@+id/class_name"
                            style="@style/leave_dialog_left_content"
                            android:text="颜小华" />
                    </LinearLayout>

                    <LinearLayout style="@style/leave_dialog_row">

                        <TextView
                            style="@style/leave_dialog_title"
                            android:text="类型" />

                        <TextView
                            android:id="@+id/leave_request_type_name"
                            style="@style/leave_dialog_left_content"
                            android:text="颜小华" />
                    </LinearLayout>

                    <LinearLayout style="@style/leave_dialog_row">

                        <TextView
                            style="@style/leave_dialog_title"
                            android:text="请假时间" />

                        <TextView
                            android:id="@+id/add_time"
                            style="@style/leave_dialog_left_content"
                            android:textColor="@color/colorPrimary"
                            tools:text="2022年4月21日15:38:15" />
                    </LinearLayout>

                    <LinearLayout style="@style/leave_dialog_row">

                        <TextView
                            style="@style/leave_dialog_title"
                            android:text="请假时长" />

                        <TextView
                            android:id="@+id/leave_duration_str"
                            style="@style/leave_dialog_left_content"
                            android:text="2022年4月21日15:38:15" />
                    </LinearLayout>

                    <LinearLayout style="@style/leave_dialog_row">

                        <TextView
                            style="@style/leave_dialog_title"
                            android:text="请假事由" />

                        <TextView
                            android:id="@+id/leave_request_reason"
                            style="@style/leave_dialog_left_content"
                            android:text="2022年4月21日15:38:15" />
                    </LinearLayout>
                </LinearLayout>
            </RelativeLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="700dp"
                android:layout_marginStart="50dp"
                android:layout_weight="1"
                android:orientation="vertical"
                android:paddingTop="@dimen/dp_40">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/stepRecycler"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    tools:itemCount="4"
                    tools:listitem="@layout/layout_leave_step" />
            </LinearLayout>
        </androidx.appcompat.widget.LinearLayoutCompat>

        <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
            android:id="@+id/closeBtn"
            android:layout_width="300dp"
            android:layout_height="80dp"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="@dimen/dp_40"
            android:layout_marginBottom="@dimen/d_20"
            android:padding="@dimen/d_10"
            android:text="关闭"
            android:textSize="@dimen/sp20"
            android:textColor="@color/black"
            app:qmui_borderColor="@color/gray"
            app:qmui_radius="@dimen/d_5" />
    </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout>
</FrameLayout>